What firmware should i use? (aka find Download Links here) - CHDK Releases - CHDK Forum
supplierdeeply

What firmware should i use? (aka find Download Links here)

  • 33 Replies
  • 42000 Views
*

Offline PhyrePhoX

  • *****
  • 2254
  • make RAW not WAR
    • PhyreWorX
Advertisements
As of now, there only are two main flavors of CHDK:

the "CHDK" Build (the mother) and the SDM (Stereo Data Maker) build (one of the children) by Microfunguy.

The CHDK Build is the official CHDK version where all new features are integrated first. You can get these builds at several places:
- here here you can get latest autobuilds - the whole deal, because the zips include readmes and lots of additional files
- here you can get the latest bleeding edge versions which sometimes are not tested thoroughly and not documented yet (for an overview of the latest implemented features you might get an idea here).
- here you can get official, stable releases (releasenotes often can be found on the main wikia site or the forum)
- you can also build/compile chdk on your own, using whims great tool that can be found here

SDM can be found here.

If you are a developer or at least know how to compile on your own, there are a lot of threads with code fragments you can use to change chdk the way you like scattered around this forum. if you really are an experienced coder you can for example try Dataghosts special build from here.

regarding the other builds like fingalo, grands original builds and others that can be found in the forum: most of these are outdated and havent been updated in a long time. it is likely that the "allbest" flavour will soon be renamed to just "CHDK".

edit: the old "what firmware should i use" thread can be found here.

edit: changed the text format a lil
« Last Edit: 19 / April / 2009, 06:03:09 by acseven »

Re: What firmware should i use?
« Reply #1 on: 01 / August / 2008, 14:09:49 »
Hi.
Which is better to use? An stable v.50 or an experimental v.51?
Thankx.

*

Offline Hacki

  • ****
  • 358
  • SX100
Re: What firmware should i use?
« Reply #2 on: 01 / August / 2008, 14:31:50 »
Quote
Which is better to use?

Depends on what you need and what you like.

Though, it is slightly possible that the experimental build could crash your cam under certain circumstances (however, thats not harmful. 'crash' means the cam turns itself off.)


Re: What firmware should i use?
« Reply #3 on: 06 / December / 2008, 22:14:14 »
Hi, I have a SX100IS with firmware 1.0.0.0.  I tried using the CHDK for firmware 1.0b and it did not work.  Is there a CHDK for the firmware 1.0.0.0?


*

Offline Hacki

  • ****
  • 358
  • SX100
Re: What firmware should i use?
« Reply #4 on: 06 / December / 2008, 22:27:32 »
FAQ - CHDK Wiki

1.0.0.0 is not the version number you need for chdk. Read the link above.

edit: haha, faster  :haha
« Last Edit: 06 / December / 2008, 22:30:11 by Hacki »

*

Offline wontolla

  • ****
  • 413
  • S3 & G9 & A720
Re: What firmware should i use?
« Reply #5 on: 06 / December / 2008, 22:27:39 »
You will find all necessary information to load CHDK here:
FAQ - CHDK Wiki

See the note at the end of the answer!

Edit:
Hacki: the fastest gun in the west. It's 4am in Europe, go to sleep!
« Last Edit: 06 / December / 2008, 22:33:13 by wontolla »

Re: What firmware should i use?
« Reply #6 on: 08 / December / 2008, 02:04:48 »
Got it now...it's working :D  Thanks a lot.

*

Offline adit98

  • *
  • 3
  • S30-G9__________AMAZING!
Re: What firmware should i use?
« Reply #7 on: 11 / December / 2008, 09:50:09 »
I have PowerShot with firmware GM1.00H, so can I use with 1.00F/G??
Because I can't found CHDK with 1.00H.


*

Offline wontolla

  • ****
  • 413
  • S3 & G9 & A720
Re: What firmware should i use?
« Reply #8 on: 11 / December / 2008, 17:46:37 »
Which Powershot? The S30?
Mmmm, unfortunately, it looks too old to support CHDK.

Or talking about the G9?
Then, your camera's firmware version hasn't been ported yet. You need to dump it.

Weird, there is no such 1.00H firmware in any of the CHDK cameras.

*

Offline adit98

  • *
  • 3
  • S30-G9__________AMAZING!
Re: What firmware should i use?
« Reply #9 on: 15 / December / 2008, 04:55:57 »
I'm sorry, I actually use G9. I don't know, but it shows firmware 1.00H.
What should I do?

 

Related Topics